using System;
using System.Collections.Generic;
using System.Text;

namespace GriffinNav.GPS
{
    public enum LongitudeDirection
    {
        E,
        W
    }

    public enum LatitudeDirection
    {
        N,
        S
    }

    public enum VelocityDirection
    {
        N,
        NNE,
        NE,
        ENE,
        E,
        ESE,
        SE,
        SSE,
        S,
        SSW,
        SW,
        WSW,
        W,
        WNW,
        NW,
        NNW
    }

    public enum AltitudeUnit
    {
        Meter,
        Foot
    }

    public enum UnitSystem
    {
        English,
        Metric
    }

    public enum DistanceUnit
    {
        Mile,
        Kilometer
    }

    public enum SpeedUnit
    {
        MPH,
        KPH
    }

    public enum FixQuality
    {
        Invalid = 0,
        GPS = 1,
        DGPS = 2,
        PPS = 3,
        RTK = 4,
        FloatRTK = 5,
        Estimated = 6,
        ManualInput = 7,
        Simulation = 8
    }

    public enum DeviceState
    {
        Running,
        Stopped
    }
}
