using System;
using System.Collections.Generic;
using System.Text;

namespace GriffinNav.GPS
{
    public class Altitude
    {
        private decimal mDistance;

        internal Altitude(decimal distanceInMeters)
        {
            mDistance = distanceInMeters;
        }

        public int Feet
        {
            get
            {
                // convert meters to feet
                return Convert.ToInt32(Conversion.MetersToFeet(mDistance));
            }
        }

        public int Meters
        {
            get
            {
                return Convert.ToInt32(mDistance);
            }
        }

        internal void Update(decimal distanceInMeters)
        {
            mDistance = distanceInMeters;
        }
    }
}
