﻿using System;
using System.Drawing;

namespace GriffinNav.UI
{
    public class MapControl
    {
        Bitmap mUpImage;
        Bitmap mDownImage;
        Rectangle mScreenPosition;
        ButtonPosition mPosition;

        public MapControl(Bitmap upImage, Bitmap downImage, Rectangle screenPosition)
        {
            mUpImage = upImage;
            mDownImage = downImage;
            mScreenPosition = screenPosition;
            mPosition = ButtonPosition.Up;
        }

        public Bitmap Image
        {
            get
            {
                if (mPosition == ButtonPosition.Up)
                {
                    return mUpImage;
                }

                return mDownImage;
            }
        }

        public Rectangle ScreenPosition
        {
            get
            {
                return mScreenPosition;
            }
            set
            {
                mScreenPosition = value;
            }
        }

        public ButtonPosition ButtonPosition
        {
            set
            {
                mPosition = value;
            }
        }
    }
}
